Package org.drinkless.tdlib

# Class TdApi.CanSendStoryResultMonthlyLimitExceeded

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CanSendStoryResult
org.drinkless.tdlib.TdApi.CanSendStoryResultMonthlyLimitExceeded

Enclosing class:
  TdApi

public static class TdApi.CanSendStoryResultMonthlyLimitExceeded extends TdApi.CanSendStoryResult
The monthly limit for the number of posted stories exceeded. The user needs to buy Telegram Premium or wait specified time.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CanSendStoryResult

  `TdApi.CanSendStoryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `retryAfter`
  Time left before the user can send the next story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanSendStoryResultMonthlyLimitExceeded()`
  The monthly limit for the number of posted stories exceeded.
  `CanSendStoryResultMonthlyLimitExceeded(int retryAfter)`
  The monthly limit for the number of posted stories exceeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### retryAfter

    public int retryAfter
    Time left before the user can send the next story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CanSendStoryResultMonthlyLimitExceeded

    public CanSendStoryResultMonthlyLimitExceeded()
    The monthly limit for the number of posted stories exceeded. The user needs to buy Telegram Premium or wait specified time.

  - ### CanSendStoryResultMonthlyLimitExceeded

    public CanSendStoryResultMonthlyLimitExceeded(int retryAfter)
    The monthly limit for the number of posted stories exceeded. The user needs to buy Telegram Premium or wait specified time.
    Parameters:
      `retryAfter` - Time left before the user can send the next story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CanSendStoryResult`
    Returns:
      this.CONSTRUCTOR